Bug 437452 - QR-TAN support is not working properly
Summary: QR-TAN support is not working properly
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: onlinebanking (show other bugs)
Version: 5.1.1
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-21 10:54 UTC by Thomas Baumgart
Modified: 2021-05-21 12:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Baumgart 2021-05-21 10:54:00 UTC
SUMMARY
In case the KBanking plugin is configured to use the QR-TAN method, the QR-Code is not displayed but a message reading

3:2021/05/20 20-59-44:(null)(25852):/usr/local/src/kmymoney/kmymoney-5.1.1/kmymoney/plugins/kbanking/gwenkdegui.cpp:247: Unknown tan method ID 5

is shown on the command line.

OBSERVED RESULT

QR-Code is not displayed

EXPECTED RESULT

QR-Code should be displayed and edit field should receive generated TAN
Comment 1 Thomas Baumgart 2021-05-21 11:00:30 UTC
Git commit f45e030f61411d1833aeb3232f73cb9560842f5b by Thomas Baumgart.
Committed on 21/05/2021 at 10:59.
Pushed by tbaumgart into branch '5.1'.

Add support for QR-TAN

First try to fix the problem.
FIXED-IN: 5.1.2

M  +1    -0    kmymoney/plugins/kbanking/gwenkdegui.cpp

https://invent.kde.org/office/kmymoney/commit/f45e030f61411d1833aeb3232f73cb9560842f5b
Comment 2 Thomas Baumgart 2021-05-21 12:42:49 UTC
Git commit e80dbfbd4fc28431b429cfed8f3ce3265628ffea by Thomas Baumgart.
Committed on 21/05/2021 at 12:34.
Pushed by tbaumgart into branch 'master'.

Add support for QR-TAN
FIXED-IN: 5.1.2

(cherry picked from commit f45e030f61411d1833aeb3232f73cb9560842f5b)

M  +1    -0    kmymoney/plugins/kbanking/gwenkdegui.cpp

https://invent.kde.org/office/kmymoney/commit/e80dbfbd4fc28431b429cfed8f3ce3265628ffea